Upstream information

CVE-2017-14867 at MITRE

Description

Git before 2.10.5, 2.11.x before 2.11.4, 2.12.x before 2.12.5, 2.13.x before 2.13.6, and 2.14.x before 2.14.2 uses unsafe Perl scripts to support subcommands such as cvsserver, which allows attackers to execute arbitrary OS commands via shell metacharacters in a module name. The vulnerable code is reachable via git-shell even without CVS support.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 9 7.2
Vector AV:N/AC:L/Au:S/C:C/I:C/A:C AV:L/AC:L/Au:N/C:C/I:C/A:C
Access Vector Network Local
Access Complexity Low Low
Authentication Single None
Confidentiality Impact Complete Complete
Integrity Impact Complete Complete
Availability Impact Complete Complete
CVSS v3 Scores
  SUSE
Base Score 7.8
Vector AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H
Access Vector Local
Access Complexity Low
Privileges Required Low
User Interaction None
Scope Unchanged
Confidentiality Impact High
Integrity Impact High
Availability Impact High
SUSE Bugzilla entries: 1060377 [RESOLVED / DUPLICATE], 1060378 [RESOLVED / DUPLICATE], 1061041 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
Openstack Cloud Magnum Orchestration 7
  • git >= 2.12.3-27.9.1
  • git-core >= 2.12.3-27.9.1
Patchnames:
SUSE-OpenStack-Cloud-Magnum-Orchestration-7-2017-1704
SUSE CaaS Platform ALL
  • git >= 2.12.3-27.9.1
  • git-core >= 2.12.3-27.9.1
Patchnames:
SUSE-CAASP-ALL-2017-1704
SUSE Linux Enterprise Module for Basesystem 15
  • git-core >= 2.16.3-1.30
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 GA git-core
SUSE Linux Enterprise Module for Development Tools 15
  • git >= 2.16.3-1.30
  • git-arch >= 2.16.3-1.30
  • git-cvs >= 2.16.3-1.30
  • git-daemon >= 2.16.3-1.30
  • git-doc >= 2.16.3-1.30
  • git-email >= 2.16.3-1.30
  • git-gui >= 2.16.3-1.30
  • git-svn >= 2.16.3-1.30
  • git-web >= 2.16.3-1.30
  • gitk >= 2.16.3-1.30
Patchnames:
SUSE Linux Enterprise Module for Development Tools 15 GA git
SUSE Linux Enterprise Server 12 SP1-LTSS
  • git >= 2.12.3-27.9.1
  • git-core >= 2.12.3-27.9.1
  • git-doc >= 2.12.3-27.9.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2017-1704
SUSE Linux Enterprise Server 12 SP2
  • git >= 2.12.3-27.9.1
  • git-core >= 2.12.3-27.9.1
  • git-doc >= 2.12.3-27.9.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2017-1704
SUSE Linux Enterprise Server 12 SP3
  • git >= 2.12.3-27.9.1
  • git-core >= 2.12.3-27.9.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2017-1704
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • git >= 2.12.3-27.9.1
  • git-core >= 2.12.3-27.9.1
  • git-doc >= 2.12.3-27.9.1
Patchnames:
SUSE-SLE-RPI-12-SP2-2017-1704
SUSE Linux Enterprise Server for SAP Applications 12 SP1
  • git >= 2.12.3-27.9.1
  • git-core >= 2.12.3-27.9.1
  • git-doc >= 2.12.3-27.9.1
Patchnames:
SUSE-SLE-SAP-12-SP1-2017-1704
SUSE Linux Enterprise Server for SAP Applications 12 SP1-LTSS
  • git >= 2.12.3-27.9.1
  • git-core >= 2.12.3-27.9.1
  • git-doc >= 2.12.3-27.9.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2017-1704
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • git >= 2.12.3-27.9.1
  • git-core >= 2.12.3-27.9.1
  • git-doc >= 2.12.3-27.9.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2017-1704
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • git >= 2.12.3-27.9.1
  • git-core >= 2.12.3-27.9.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2017-1704
SUSE Linux Enterprise Software Development Kit 11 SP4
  • git >= 1.7.12.4-0.18.6.1
  • git-arch >= 1.7.12.4-0.18.6.1
  • git-core >= 1.7.12.4-0.18.6.1
  • git-cvs >= 1.7.12.4-0.18.6.1
  • git-daemon >= 1.7.12.4-0.18.6.1
  • git-email >= 1.7.12.4-0.18.6.1
  • git-gui >= 1.7.12.4-0.18.6.1
  • git-svn >= 1.7.12.4-0.18.6.1
  • git-web >= 1.7.12.4-0.18.6.1
  • gitk >= 1.7.12.4-0.18.6.1
Patchnames:
sdksp4-git-13310
SUSE Linux Enterprise Software Development Kit 12 SP2
  • git >= 2.12.3-27.9.1
  • git-arch >= 2.12.3-27.9.1
  • git-core >= 2.12.3-27.9.1
  • git-cvs >= 2.12.3-27.9.1
  • git-daemon >= 2.12.3-27.9.1
  • git-doc >= 2.12.3-27.9.1
  • git-email >= 2.12.3-27.9.1
  • git-gui >= 2.12.3-27.9.1
  • git-svn >= 2.12.3-27.9.1
  • git-web >= 2.12.3-27.9.1
  • gitk >= 2.12.3-27.9.1
Patchnames:
SUSE-SLE-SDK-12-SP2-2017-1704
SUSE Linux Enterprise Software Development Kit 12 SP3
  • git >= 2.12.3-27.9.1
  • git-arch >= 2.12.3-27.9.1
  • git-core >= 2.12.3-27.9.1
  • git-cvs >= 2.12.3-27.9.1
  • git-daemon >= 2.12.3-27.9.1
  • git-doc >= 2.12.3-27.9.1
  • git-email >= 2.12.3-27.9.1
  • git-gui >= 2.12.3-27.9.1
  • git-svn >= 2.12.3-27.9.1
  • git-web >= 2.12.3-27.9.1
  • gitk >= 2.12.3-27.9.1
Patchnames:
SUSE-SLE-SDK-12-SP3-2017-1704
SUSE OpenStack Cloud 6
  • git >= 2.12.3-27.9.1
  • git-core >= 2.12.3-27.9.1
  • git-doc >= 2.12.3-27.9.1
Patchnames:
SUSE-OpenStack-Cloud-6-2017-1704
SUSE Studio Onsite 1.3
  • git >= 1.7.12.4-0.18.6.1
  • git-core >= 1.7.12.4-0.18.6.1
Patchnames:
slestso13-git-13310
openSUSE Leap 42.2
  • git >= 2.12.3-5.14.1
  • git-arch >= 2.12.3-5.14.1
  • git-core >= 2.12.3-5.14.1
  • git-core-debuginfo >= 2.12.3-5.14.1
  • git-credential-gnome-keyring >= 2.12.3-5.14.1
  • git-credential-gnome-keyring-debuginfo >= 2.12.3-5.14.1
  • git-cvs >= 2.12.3-5.14.1
  • git-daemon >= 2.12.3-5.14.1
  • git-daemon-debuginfo >= 2.12.3-5.14.1
  • git-debugsource >= 2.12.3-5.14.1
  • git-doc >= 2.12.3-5.14.1
  • git-email >= 2.12.3-5.14.1
  • git-gui >= 2.12.3-5.14.1
  • git-svn >= 2.12.3-5.14.1
  • git-svn-debuginfo >= 2.12.3-5.14.1
  • git-web >= 2.12.3-5.14.1
  • gitk >= 2.12.3-5.14.1
Patchnames:
openSUSE-2017-1167
openSUSE Leap 42.3
  • git >= 2.13.6-7.1
  • git-arch >= 2.13.6-7.1
  • git-core >= 2.13.6-7.1
  • git-core-debuginfo >= 2.13.6-7.1
  • git-credential-gnome-keyring >= 2.13.6-7.1
  • git-credential-gnome-keyring-debuginfo >= 2.13.6-7.1
  • git-cvs >= 2.13.6-7.1
  • git-daemon >= 2.13.6-7.1
  • git-daemon-debuginfo >= 2.13.6-7.1
  • git-debugsource >= 2.13.6-7.1
  • git-doc >= 2.13.6-7.1
  • git-email >= 2.13.6-7.1
  • git-gui >= 2.13.6-7.1
  • git-svn >= 2.13.6-7.1
  • git-svn-debuginfo >= 2.13.6-7.1
  • git-web >= 2.13.6-7.1
  • gitk >= 2.13.6-7.1
Patchnames:
openSUSE-2017-1115


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
CaaS Platform 1.0 git Released
CaaS Platform 2.0 git Released
OpenStack Cloud Magnum Orchestration 7.0 git Released
SUSE Linux Enterprise SDK 11 SP4 git Released
SUSE Linux Enterprise SDK 12 SP2 git Released
SUSE Linux Enterprise SDK 12 SP3 git Released
SUSE Linux Enterprise Server 12 GA LTSS git Affected
SUSE Linux Enterprise Server 12 SP1 LTSS git Released
SUSE Linux Enterprise Server 12 SP2 git Released
SUSE Linux Enterprise Server 12 SP2 for Raspberry PI git Released
SUSE Linux Enterprise Server 12 SP3 git Released
SUSE Studio Onsite 1.3 git Released